vars:
  PACKAGE_NAME:
    default: {{#snakeCase}}{{project_name}}{{/snakeCase}}
  BUNDLE_ID:
    default: {{#dotCase}}{{bundle_id}}{{/dotCase}}
  APP_NAME:
    default: {{#titleCase}}{{display_name}}{{/titleCase}}

platforms:
  android:
    appName: $APP_NAME
    packageName: $BUNDLE_ID
    # Uncomment to add some permissions
    # manifest:
    #   - file: AndroidManifest.xml
    #     target: manifest/application
    #     inject:
    #       <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
  ios:
    targets:
      Runner:
        bundleId: $BUNDLE_ID
        productName: $APP_NAME
        displayName: $APP_NAME
        entitlements:
          replace: true
          # Workaround for https://stackoverflow.com/questions/55167611/flutter-ios-app-submission-issue-warning-missing-push-notification-entitlement
          entries:
            - aps-environment: development
        # Uncomment to add some permissions
        # plist:
        #   - replace: true
        #     entries:
        #       - UISupportedInterfaceOrientations:
        #           - UIInterfaceOrientationPortrait

